/*
 * testmem2.c: another test program for the mem framework
 *
 * (C) Duncan C. White, 2011 new addition to the fold..
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

//#include <mem.h>

int main( int argc, char **argv )
{
	char *str = argc > 1 ? argv[1] : "hello";
	void *p = malloc(strlen(str));
	free(p);
	free(p);		/* free it twice */
	exit(0);
	return 0;
}
